;*****************************************************************************************
;	timer routines
;*****************************************************************************************

TIM0OVFROUTINE:											; TMR0 ovf interrupt
		;clr		Temp
		;cp		Status, Temp
		;breq	T0O_S0
 ;T0O_S0:
		sbis	PINIO, BIN
		rjmp	T0O_ALARM								; activate alarm when low
		cbi		PORTB, BOUT								; set the alarm output to 0
		rcall	INT0_EN									; enable int0
		rcall	ACT_SLEEP								; activate the sleep mode
		ldi		Status, 1
		reti											; go out
 T0O_ALARM:
		in		Temp, PINB								; toggle the output
		ldi		Temp2, (1<<BOUT)
		eor		Temp, Temp2
		out		PORTB, Temp
		reti
