;**** processor definition
.include "tn12def.inc"

.include "config.inc"									; configuration file
.include "variables.inc"								; registers and sram variables
.include "pinconf.inc"									; pin configuration

;*****************************************************************************************
;	program code
;*****************************************************************************************
.cseg
.org	$0000
.include "tn12org.inc"									; interrupt jump table


;*****************************************************************************************
;	program start
;*****************************************************************************************

START:
.include "init.inc"										; init routines

MAIN:												; main routine
		sbrs	Status, 0								; test for the sleep mode state
		rjmp	MAIN_OUT								; no sleep mode
		clr		Status
		sleep
 MAIN_OUT:
		rjmp	MAIN

.include "tn12timers.inc"								; timer api
.include "timers.inc"									; timer routines
.include "int_api.inc"									; interrupt api
